Page MenuHomePhabricator

Move turnilo to nodejs 10
Closed, ResolvedPublic3 Story Points

Description

As the parent task explains, we'd need to move Turnilo to nodejs 10 if possible.

Event Timeline

elukey triaged this task as Normal priority.
Milimetric raised the priority of this task from Normal to High.

Change 477499 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] turnilo: add nodejs 10 stretch apt component

https://gerrit.wikimedia.org/r/477499

Change 477499 merged by Elukey:
[operations/puppet@production] turnilo: add nodejs 10 stretch apt component

https://gerrit.wikimedia.org/r/477499

elukey added a project: Analytics-Kanban.
elukey set the point value for this task to 3.

Upgraded turnilo in labs (turnilo.eqiad.wmflabs), if anybody wants to test it: ssh -N turnilo.eqiad.wmflabs -L 9091:turnilo.eqiad.wmflabs:9091

As far as I can see everything works, last step would be to apt-get install nodejs on analytics-tool1002.

Mentioned in SAL (#wikimedia-operations) [2018-12-04T14:04:30Z] <elukey> upgrade turnilo on analytics-tools1002 to nodejs-10 - T210705

Before doing this, we need to probably run npm install for turnilo with the nodejs10... Just realized it

Before doing this, we need to probably run npm install for turnilo with the nodejs10... Just realized it

Followed the procedure in the README and created https://gerrit.wikimedia.org/r/477735 (reviewed by Fran and already merged by me)

Deployed in turnilo.eqiad.wmflabs and it looks ok, nothing suspicious in the logs. If everybody agrees I'd deploy to prod.

elukey moved this task from Backlog to In Progress on the User-Elukey board.Dec 5 2018, 2:09 PM

Turnilo is now running on nodejs 10!

elukey moved this task from In Progress to Done on the User-Elukey board.Dec 7 2018, 2:52 PM
Nuria closed this task as Resolved.Dec 10 2018, 6:01 PM